<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center justify-center rounded-sm" [ngStyle]="{ width: (size ?? 22) + 'px', height: (size ?? 22) + 'px', backgroundColor: _color }">
  <i style="color: white" [ngStyle]="{ 'font-size': (size ?? 24) / 2 + 'px' }" [class]="_icon"></i>
</div>
